Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1274148 - Overcloud node contains duplicate IP from provisioning network, rendering it inaccessible over provisioning IP.
Summary: Overcloud node contains duplicate IP from provisioning network, rendering it ...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 7.0 (Kilo)
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: 10.0 (Newton)
Assignee: Marios Andreou
QA Contact: Shai Revivo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-22 06:00 UTC by Jaison Raju
Modified: 2019-08-15 05:43 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-08 13:33:59 UTC
Target Upstream Version:


Attachments (Terms of Use)
templates used (61.24 KB, application/x-bzip)
2015-10-22 06:00 UTC, Jaison Raju
no flags Details
Director ip a (47.15 KB, image/png)
2015-10-22 06:02 UTC, Jaison Raju
no flags Details
net / subnet info (88.89 KB, image/png)
2015-10-22 06:02 UTC, Jaison Raju
no flags Details
subnet show provisioning (61.37 KB, image/png)
2015-10-22 06:03 UTC, Jaison Raju
no flags Details
resource list (82.19 KB, image/png)
2015-10-22 06:04 UTC, Jaison Raju
no flags Details
overcloud ip a (65.12 KB, image/png)
2015-10-22 06:04 UTC, Jaison Raju
no flags Details
journalctl -u os-collec-config (92.85 KB, image/png)
2015-10-22 06:05 UTC, Jaison Raju
no flags Details

Description Jaison Raju 2015-10-22 06:00:32 UTC
Created attachment 1085405 [details]
templates used

Description of problem:
Overcloud node contains duplicate IP from provisioning network, rendering it inaccessible over provisioning IP.
Provisioning network IP is found on em1 & br-ex .
The stack creation remains stuck & os-collect-config fails to reach required host.
The provisioning network IP on overcloud nodes are not pingable from director .
Although after removing IP from br-ex interface on node , the director can ping.

Version-Release number of selected component (if applicable):
RHEL OSP Director 7.1

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
em1 -> provisioning network ( 172.16.21.64/27 )	
em2- > external/internet access ( 172.16.21.0/26 )
PFA screenshots & template

Comment 2 Jaison Raju 2015-10-22 06:02:24 UTC
Created attachment 1085406 [details]
Director ip a

Comment 3 Jaison Raju 2015-10-22 06:02:54 UTC
Created attachment 1085407 [details]
net / subnet info

Comment 4 Jaison Raju 2015-10-22 06:03:42 UTC
Created attachment 1085408 [details]
subnet show provisioning

Comment 5 Jaison Raju 2015-10-22 06:04:31 UTC
Created attachment 1085409 [details]
resource list

Comment 6 Jaison Raju 2015-10-22 06:04:56 UTC
Created attachment 1085410 [details]
overcloud ip a

Comment 7 Jaison Raju 2015-10-22 06:05:49 UTC
Created attachment 1085411 [details]
journalctl -u os-collec-config

Comment 14 Mike Burns 2016-04-07 20:54:03 UTC
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.

Comment 17 Marios Andreou 2016-08-08 12:16:54 UTC
@mburns can we close this or it is still a thing? I think the bug was originally filed as part of an engagement but I haven't had any updates after some earlier comments here.


Note You need to log in before you can comment on or make changes to this bug.